Summary:        Archive library
Name:           gnome-autoar
Version:        0.4.4
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/gnome-autoar
Source0:        https://download.gnome.org/sources/%{name}/0.4/%{name}-%{version}.tar.xz

BuildRequires:  meson gcc
BuildRequires:  pkgconfig(gio-2.0) pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0) pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) pkgconfig(libarchive)
BuildRequires:  vala

%description
This package provides a GObject based library for handling archives.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing applications that use %{name}.


%prep
%autosetup -p1


%build
%meson -Dvapi=true -Dgtk_doc=false -Dtests=true 
%meson_build


%install
%meson_install


%check
%meson_test


%files
%license COPYING
%doc NEWS
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GnomeAutoar-0.1.typelib
%{_libdir}/girepository-1.0/GnomeAutoarGtk-0.1.typelib
%{_libdir}/libgnome-autoar-0.so.0*
%{_libdir}/libgnome-autoar-gtk-0.so.0*

%files devel
%{_includedir}/gnome-autoar-0/
%{_libdir}/pkgconfig/gnome-autoar-0.pc
%{_libdir}/pkgconfig/gnome-autoar-gtk-0.pc
%{_libdir}/*.so
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GnomeAutoar-0.1.gir
%{_datadir}/gir-1.0/GnomeAutoarGtk-0.1.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gnome-autoar-0.vapi
%{_datadir}/vala/vapi/gnome-autoar-gtk-0.vapi
%{_datadir}/vala/vapi/gnome-autoar-0.deps
%{_datadir}/vala/vapi/gnome-autoar-gtk-0.deps


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.4-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.4-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.4-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 7 2023 Wang Guodong <gordonwwang@tencent.com> - 0.4.4-1
- Upgrade to 0.4.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.3-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 Wang Guodong <gordonwwang@tencent.com> - 0.4.3-1
- package init.
